package fr.velossity.sample.device.impl;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

import fr.velossity.sample.device.Measurement;
import fr.velossity.sample.device.eventing.MeasurementListener;

/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class Activator implements BundleActivator, MeasurementListener {

	/**
	 * @see BundleActivator#start(BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		// Service class name
		String clazz = MeasurementListener.class.getName();

		// PUBLISHES the MeasurementListener service
		context.registerService(clazz, this, null);

	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
	}

	/**
	 * @see MeasurementListener#newMeasure(Measurement)
	 */
	public void newMeasure(final Measurement measurement) {
		System.out.println("New measure [" + measurement.getSource().getIdentifier() + "]= " + measurement.getValue() + " " + measurement.getUnit());		
	}

}
